/*                                                                               *\
    This file is part of the CBOLD(tm) framework for electronic design capture.
                         Copyright (C) 2007 Coolquest, Inc.

      This program is free software; you can redistribute it and/or modify
      it under the terms of the GNU General Public License as published by
      the Free Software Foundation; either version 2 of the License, or
      (at your option) any later version.

      This program is distributed in the hope that it will be useful,
      but WITHOUT ANY WARRANTY; without even the implied warranty of
      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
      GNU General Public License for more details.

      You should have received a copy of the GNU General Public License along
      with this program; if not, write to the Free Software Foundation, Inc.,
      51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

    For more about the CBOLD framework and Coolquest, Inc., see www.cbold.com.
\*                                                                               */

// file cb_imp_spec.h:  code to work around implementation-specific (compiler-specific) behavior

#ifndef _cb_imp_specH_
#define _cb_imp_specH_

// This file contains code specific to the user's implementation (compiler).
// I.e., imp_spec.h/imp_spec.cpp are intended to contain any code that
// depends on behavior not defined in the C++ standard.

// RTTI name character string content obtained via type_info::name() is compiler-defined.

const char* Translate_RTTI_Name( const char* Npt );

#endif

