/*                                                                               *\
    This file is part of the CBOLD(tm) framework for electronic design capture.
                         Copyright (C) 2007 Coolquest, Inc.

      This program is free software; you can redistribute it and/or modify
      it under the terms of the GNU General Public License as published by
      the Free Software Foundation; either version 2 of the License, or
      (at your option) any later version.

      This program is distributed in the hope that it will be useful,
      but WITHOUT ANY WARRANTY; without even the implied warranty of
      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
      GNU General Public License for more details.

      You should have received a copy of the GNU General Public License along
      with this program; if not, write to the Free Software Foundation, Inc.,
      51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

    For more about the CBOLD framework and Coolquest, Inc., see www.cbold.com.
\*                                                                               */

// file cb_user_pref.h:  user preferences

#ifndef _cb_user_prefH_
#define _cb_user_prefH_

                                         // avoid Microsoft warning about functions deprecated due to secure replacements for standard some functions
#define _CRT_SECURE_NO_DEPRECATE 1       // this does not seem to work
#pragma warning( disable : 4996 )        // this does

#pragma warning( disable : 4290 )        // avoid Microsoft warning about exception specification ignored

#ifdef __unix__
#define  OUTPUT_PATH  "../output"        // directory that holds all CBOLD output files -- user code may ignore this path or append to it (e.g., design output subdirectories)
#else
#define  OUTPUT_PATH  "c:/cbold/output"  // directory that holds all CBOLD output files -- user code may ignore this path or append to it (e.g., design output subdirectories)
#endif

#define  DIR_SEP      "/"                // directory separator appropriate to the user's operating system


const char  GlobalChar = '/';            // initial character of global SubBuses (nets)
#define     NoConnect    "/NC"           // name for no-connect net (case sensitive), must start with GlobalChar
#define     UppercaseNetNames            // forces automatically generated net names to be all uppercase

#define     NoBaseString "<none>"        // string used in reference designator file to indicate that a reference designator has no base, must not be a legal name fragment

//#define   ios_base ios                 // needed for older versions of gcc

#endif

